Bug 151357 - LOCALE not being used
Summary: LOCALE not being used
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-17 09:54 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.87-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 09:19:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul F. Johnson 2005-03-17 09:54:41 UTC
Description of problem:
During the setup of OOo, the LOCALE setting for currency and dictionary is not
being used

Version-Release number of selected component (if applicable):
1.9.84

How reproducible:


Steps to Reproduce:
1. Set the LOCALE variable to be anything other than US before running OOo after
an upgrade
2. Start OOo and check the dictionary to be used
3.
  
Actual results:
US dictionary is selected

Expected results:
The dictionary and other settings for LOCALE should be applied or default to
(say) US if not found (UK should definitely be there!)

Additional info:
This problem did not occur in the 1.1.x series, but does in the version 2 beta

Comment 1 Caolan McNamara 2005-03-21 19:40:22 UTC
The locale is used only during the first setup, 1.9.X first checks to see if its
a "supported" locale, this new "is supported" test is too strict IMO, I'll make
it more accepting.

Comment 2 Caolan McNamara 2005-03-22 09:19:39 UTC
On first start up with 1.9.87 (i.e. no ~/.OpenOffice.org2.0 dir) in locale of
LANG=en_IE.UTF-8 the default language is set to English (Eire), similiarly
LANG=en_GB=UTF-8 gives English (UK)


Note You need to log in before you can comment on or make changes to this bug.